RK-J - Feature #3068

Extension-v0.92.20: Change Ul of extension
06/09/2023 05:36 AM - Ram Kordale

Status: Closed Start date: 06/10/2023
Priority: Normal Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Please see 3 Ul views V1, V2 and V3 at
https://drive.google.com/file/d/17K1Z5KKWBSTumJgyoqShA9osR1EukgcC/view?ts=6482b6cb.

In the background, get all purple links and results as is done today.
Today, we show one of 3 views: (a) itemized purple links (b) "no purple links" (c) "video not processed".

In case of (a) which is shown when get purple links api returns results, here are the changes required:

- when the extension is opened, show V1

-- T1 = Want to know more about a term in the video?

-- T2 = Type phrase e.g. nested list & Press enter [Suppose user entered input I. | is one or more words]

-- A1 = Action on pressing enter

-on A1, show V2

-- if there are matches

--- T3 = Here you go [Show X at the top right]

--- find first purple link P whose first two letters match with first two letters of I. Show all PLRs (purple link results) of P and display
them as PLR1, PLR2,...PLRn.

-- if there are no matches and if 'isOpenAlAnswerSupported' is false, show "Unfortunately, this is not explained in any video by the
author".

-- if user clicks on X on top right, show V1

-- if 'isOpenAlAnswerSupported' is true, continue with below (i.e. T4,B1,A3 are not applicable if 'isOpenAlAnswerSupported' is false)
--- if results

---- T4 = Not any of these? Want to know more?

---- B1 is a button with text "Click here"

---- A3 = action on clicking B1

---- on A3, show V3

--- if there were no results

---- show V3

-- T5 = response from server after sending getOpenAlapi(l). Note | is passed as input to the API call.

-- T5 box should contain a X at the right top.

- On clicking X in T5 box, show V1

Subtasks:
Feature # 3069: 3068 part 1: when openai is not supported + search support Closed

History

#1 - 06/09/2023 06:43 AM - Ram Kordale

- Description updated

#2 - 06/09/2023 06:45 AM - Rishabh Rai

- Status changed from New to In Progress

#3 - 06/09/2023 07:26 AM - Ram Kordale

- Description updated

#4 - 06/09/2023 11:37 AM - Rishabh Rai
- % Done changed from 0 to 60

#5 - 06/10/2023 07:30 AM - Ram Kordale

03/31/2025 1/3



https://drive.google.com/file/d/17K1Z5KKWBSTumJqyoqShA9osR1EukgcC/view?ts=6482b6cb

- Description updated

#6 - 06/10/2023 12:06 PM - Ram Kordale

- Description updated

#7 - 06/10/2023 01:17 PM - Ram Kordale

- Description updated

#8 - 06/12/2023 02:19 PM - Ram Kordale

- Description updated

#9 - 06/13/2023 02:30 AM - Ram Kordale

- Description updated

#10 - 06/14/2023 08:36 AM - Ram Kordale

- Description updated

#11 - 06/14/2023 08:38 AM - Ram Kordale

- Description updated

#12 - 06/19/2023 06:13 AM - Rishabh Rai

- Status changed from In Progress to Resolved

#13 - 06/19/2023 06:13 AM - Rishabh Rai
- Status changed from Resolved to Review

- Assignee changed from Rishabh Rai to Ayush Khandelwal

#14 - 06/22/2023 11:27 AM - Ayush Khandelwal
- Status changed from Review to Feedback

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#15 - 06/22/2023 11:27 AM - Ayush Khandelwal

- Subject changed from Change Ul of extension to Extension-v0.92.20: Change Ul of extension

#16 - 06/27/2023 02:47 AM - Ram Kordale
- Status changed from Feedback to Closed

#17 - 07/31/2023 01:58 PM - Rishabh Rai

Updated extension data -

In case of (a) which is shown when get purple links api returns results, here are the changes required:

- when the extension is opened, show V1

-- T1 = Want to know more about a term in the video?

-- T2 = Type phrase e.g. nested list & Press enter [Suppose user entered input |. | is one or more words]
-- A1 = Action on pressing enter

- on A1, show V2

-- if there are matches

--- T3 = For explanation from author on <searched term>, click below

--- find first purple link P whose first two letters match with first two letters of I. Show all PLRs (purple link results) of P and display them as PLR1,
PLR2,...PLRn.

--- show another search box below purpleLink results.

--- show feeback box icon in bottom right corner.

—— 1f there are no matches show "Unfortunately, &l1t;searched term&gt; is not explained in any video by the auth
or".

In case (b) - Video is not procesed -

—— show message "Unfortunately, our AI has not processed this video yet.We are continuously processing more vi
deos based on demand."
—— show feedback box icon in bottom right corner.
